# FixedSizeArray< T, C >::ArrayHeader Struct Reference

header for fixed size array More...

`#include <fixedsizearray.hpp>`

## Data Fields
uint | items
| number of items in the array
uint | reference_count
| block reference counter (used by copy constructor and by destructor)

## Detailed Description

### template<class T, uint C>
struct FixedSizeArray< T, C >::ArrayHeader

header for fixed size array

Definition at line 25 of file fixedsizearray.hpp.

The documentation for this struct was generated from the following file:

- src/misc/fixedsizearray.hpp